#include <core>
#include <string>
#include <admin>
#include <plugin>
#include <adminlib>

new AM_VERSION_STRING[] = "2.50.59_v3.0";
#pragma dynamic 16384

/*SPEICHER BELEGUNG*/
new g_PLAYER_CMDS 	=1000;
new g_MAP_CMDS 		=2000;
new g_SERVER_CMDS 	=3000;
new g_VOTE_CMDS		=4000;
new g_OTHER_CMDS	=5000;
new g_MAPS		=6000;
new g_STORED_CMDS	=7000;
new g_lplayercommands;
new g_lmapcommands;
new g_lservercommands;
new g_lvotecommands;
new g_lothercommands;
new g_lmaps;
new g_lstoredcmds;

new g_PlayerCommandFile[]="addons/adminmod/config/ammenu/playercommands.cfg";
new g_MapCommandFile[]="addons/adminmod/config/ammenu/mapcommands.cfg";
new g_MapFile[]="addons/adminmod/config/ammenu/maps.cfg";
new g_ServerCommandFile[]="addons/adminmod/config/ammenu/servercommands.cfg";
new g_VoteCommandFile[]="addons/adminmod/config/ammenu/votecommands.cfg";
new g_OtherCommandFile[]="addons/adminmod/config/ammenu/othercommands.cfg";
new g_StoredCommandFile[]="addons/adminmod/config/ammenu/";
new g_tempStoredCommandFile[]="addons/adminmod/config/ammenu/tempstoredcmds.cfg";

/*MENUES*/
/*EBENE 1*/
#define MAINMENU	1
/*EBENE 2*/
#define PLAYERMENU	2
#define MAPMENU		3
#define SERVERMENU	4
#define VOTEMENU	5
#define OTHERMENU	6
#define STOREMENU	7
/*EBENE 3*/
#define PLAYERSELECT	100
#define MAPSELECT	101

/*EBENE 4*/
#define EXECUTEMENU	1000

#define ITEMS_PER_PAGE	7

/*USER SELECTS*/
new g_UserMenu[MAX_PLAYERS];
new g_UserLastMenu[MAX_PLAYERS];
new g_UserLLastMenu[MAX_PLAYERS];

new g_UserSelect[MAX_PLAYERS];
new g_UserLastSelect[MAX_PLAYERS];
new g_UserLLastSelect[MAX_PLAYERS];

new g_UserMinAdd[MAX_PLAYERS];
new g_UserMaxAdd[MAX_PLAYERS];

new g_UserCommand[MAX_PLAYERS][MAX_COMMAND_LENGTH];
new g_UserData[MAX_PLAYERS][MAX_DATA_LENGTH];

new g_UserMessageMode[MAX_PLAYERS];

public plugin_init(){
	new Menu[MAX_NAME_LENGTH];
	getstrvar("amv_enable_beta",Menu,MAX_NAME_LENGTH);
	if(strstrx(Menu,"menu1")!=-1){
		new Text[MAX_TEXT_LENGTH];
		plugin_registerinfo("Admin Mod Menu","Administrate your server with menu",AM_VERSION_STRING);
		plugin_registercmd("am_menu","am_menu",ACCESS_MAP,"am_menu: opens the admin mod menu");
		plugin_registercmd("say","HandleSay",ACCESS_ALL,"am_menu: opens the admin mod menu");
		plugin_registercmd("menuselect","menuselect",ACCESS_ALL);
		plugin_registercmd("radio1","SetMenuData",ACCESS_ALL);
		plugin_registercmd("radio2","SetMenuData",ACCESS_ALL);
		plugin_registercmd("radio3","SetMenuData",ACCESS_ALL);
		plugin_registercmd("buyequip","SetMenuData",ACCESS_ALL);
		plugin_registercmd("buy","SetMenuData",ACCESS_ALL);
		plugin_registercmd("chooseteam","SetMenuData",ACCESS_ALL);
		plugin_registercmd("showbriefing","SetMenuData",ACCESS_ALL);
		read_file(g_PlayerCommandFile,g_PLAYER_CMDS,g_lplayercommands);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i playercmds loaded",g_lplayercommands);
		selfmessage(Text);
		strinit(Text);
		read_file(g_MapCommandFile,g_MAP_CMDS,g_lmapcommands);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i mapcmds loaded",g_lmapcommands);
		selfmessage(Text);
		strinit(Text);
		read_file(g_ServerCommandFile,g_SERVER_CMDS,g_lservercommands);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i servercmds loaded",g_lservercommands);
		selfmessage(Text);
		strinit(Text);
		read_file(g_VoteCommandFile,g_VOTE_CMDS,g_lvotecommands);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i votecmds loaded",g_lvotecommands);
		selfmessage(Text);
		strinit(Text);
		read_file(g_OtherCommandFile,g_OTHER_CMDS,g_lothercommands);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i other cmds/cvars loaded",g_lothercommands);
		selfmessage(Text);
		strinit(Text);
		read_file(g_MapFile,g_MAPS,g_lmaps);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %i maps loaded",g_lmaps);
		selfmessage(Text);
		strinit(Text);
	}else{
		plugin_registerinfo("Admin Mod Menu","Script is disabled, because 'amv_enable_beta menu1' is not set in adminmod.cfg!",AM_VERSION_STRING);
	}
	return PLUGIN_CONTINUE;
}

read_file(File[],start_adress,&loaded){
	new Data[MAX_DATA_LENGTH];
	new iFileSize;
	new i;
	
	if(fileexists(File)){
		iFileSize=filesize(File);
		if(iFileSize>99){
			iFileSize=99;
		}
		for(i=1;i<=iFileSize;i++){
			readfile(File,Data,i,MAX_DATA_LENGTH);
			if(strncmp(Data,"//",2)!=0 && strncmp(Data,"#",1)!=0 && strncmp(Data,";",1)!=0 && strlen(Data)!=0){
				setproperty(.value = start_adress+loaded, .string = Data);
				loaded++;
			}
		}
		loaded+=start_adress;
	}else{
		snprintf(Data,MAX_DATA_LENGTH,"[ADMIN MENU] File ^"%s^" not found!",File);
		selfmessage(File);
	}
}

public SetMenuData(HLCommand,HLData,HLUserName,UserIndex){
	new UserName[MAX_NAME_LENGTH];
	new Text[MAX_TEXT_LENGTH];
	convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
	if(g_UserMenu[UserIndex]!=0){
		reset_array(UserIndex);
		snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] Menu is closed by another menu!");
		messageex(UserName,Text,print_chat);
	}
	return PLUGIN_CONTINUE;
}

public am_menu(HLCommand,HLData,HLUserName,UserIndex){
	new UserName[MAX_NAME_LENGTH];
	convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
	main_menu(UserName,UserIndex);
	return PLUGIN_HANDLED;
}
	

/*MENUES*/
main_menu(UserName[],UserIndex){
	new Text[512];
	new keys=575;
	snprintf(Text,MAX_TEXT_LENGTH,"\w[ADMIN MENU]^n^n\y1. PLAYER^n2. MAP^n3. SERVER^n4. VOTE^n5. OTHER^n6. SAVED COMMANDS^n^n\r0. CANCEL");
	g_UserMenu[UserIndex]=MAINMENU;
	menu(UserName,Text,keys);
}


second_menu(UserName[],UserIndex){
	new Data[MAX_DATA_LENGTH];
	new Alvl[MAX_DATA_LENGTH];
	new Text[512];
	new keys=0;
	new key=1;
	new i;
	new x;
	
	/*WHICH DATA SHALL BE DISPLAYED*/
	switch(g_UserMenu[UserIndex]){
		case PLAYERMENU: {
			snprintf(Text,512,"\w[PLAYER COMMANDS]^n");
			g_UserMinAdd[UserIndex]=g_PLAYER_CMDS;
			g_UserMaxAdd[UserIndex]=g_lplayercommands;
		}
		case MAPMENU:{
			snprintf(Text,512,"\w[MAP COMMANDS]^n");
			g_UserMinAdd[UserIndex]=g_MAP_CMDS;
			g_UserMaxAdd[UserIndex]=g_lmapcommands;
		}
		case SERVERMENU:{
			snprintf(Text,512,"\w[SERVER COMMANDS]^n");
			g_UserMinAdd[UserIndex]=g_SERVER_CMDS;
			g_UserMaxAdd[UserIndex]=g_lservercommands;
		}
		case VOTEMENU:{
			snprintf(Text,512,"\w[VOTE COMMANDS]^n");
			g_UserMinAdd[UserIndex]=g_VOTE_CMDS;
			g_UserMaxAdd[UserIndex]=g_lvotecommands;
		}
		case OTHERMENU:{
			snprintf(Text,512,"\w[EXEC OTHER CMDs/CVARs]^n");
			g_UserMinAdd[UserIndex]=g_OTHER_CMDS;
			g_UserMaxAdd[UserIndex]=g_lothercommands;
		}
		
		case PLAYERSELECT:{
			snprintf(Text,512,"\w[PLAYER SELECT]^n\r%s:^n",g_UserCommand[UserIndex]);
			g_UserMinAdd[UserIndex]=1;
			g_UserMaxAdd[UserIndex]=playercount()+1;
		}
		case MAPSELECT:{
			snprintf(Text,512,"\w[MAP SELECT]^n\r%s:^n",g_UserCommand[UserIndex]);
			g_UserMinAdd[UserIndex]=g_MAPS;
			g_UserMaxAdd[UserIndex]=g_lmaps;
		}
		case STOREMENU:{
			new File[MAX_DATA_LENGTH];
			new AuthID[MAX_AUTHID_LENGTH];
			get_userAuthID(UserName,AuthID,MAX_AUTHID_LENGTH);
			for(i=g_STORED_CMDS;i<=g_lstoredcmds;i++){
				deleteproperty(.value = i);
			}
			g_lstoredcmds=0;
			snprintf(File,MAX_DATA_LENGTH,"%s%s.cfg",g_StoredCommandFile,AuthID);
			strsubst(File, ":", "-",MAX_TEXT_LENGTH);
			read_file(File,g_STORED_CMDS,g_lstoredcmds);
			snprintf(Text,512,"\w[SAVED CMDs]^n");
			g_UserMinAdd[UserIndex]=g_STORED_CMDS;
			g_UserMaxAdd[UserIndex]=g_lstoredcmds;
		}
	}
	/*CREATE MENU*/
	for(i=g_UserSelect[UserIndex];i<g_UserMaxAdd[UserIndex];i++){
		x++;
		if(x>ITEMS_PER_PAGE){
			break;
		}else{
			if(g_UserMenu[UserIndex]!=PLAYERSELECT){
				getproperty(.value = i, .string = Data);
				if(PLAYERMENU <= g_UserMenu[UserIndex] < PLAYERSELECT){
					if(g_UserMenu[UserIndex]==STOREMENU){
						keys |= key;
						snprintf(Text,512,"%s^n\y%i. \y%s",Text,x,Data);
					}else{
						strsep(Data,":",Data,MAX_DATA_LENGTH,Alvl,MAX_DATA_LENGTH);
						if(access(strtonum(Alvl),UserName)==1){
							keys |= key;
							snprintf(Text,512,"%s^n\y%i. \y%s",Text,x,Data);
						}else{
							snprintf(Text,512,"%s^n\r%s",Text,Data);
						}
					}
				}else if(g_UserMenu[UserIndex]==MAPSELECT){
					keys |= key;
					snprintf(Text,512,"%s^n\y%i. \y%s",Text,x,Data);
				} 				
			}else if(g_UserMenu[UserIndex]==PLAYERSELECT){
				if(playerinfo(i,Data,MAX_NAME_LENGTH)){
					keys |= key;
					snprintf(Text,512,"%s^n\y%i. %s",Text,x,Data);
				}else{
					break;
				}
			}
			key <<= 1;
			strinit(Data);
		}
	}
	if(g_UserSelect[UserIndex] + ITEMS_PER_PAGE < g_UserMaxAdd[UserIndex]){
		if(g_UserSelect[UserIndex]==g_UserMinAdd[UserIndex]){
			strcat(Text,"\w^n^n8. Next",512);
			keys+=128;
		}else{
			strcat(Text,"\w^n^n8. Next - 9. Back",512);
			keys+=384;
		}
	}else if(g_UserSelect[UserIndex] - ITEMS_PER_PAGE > g_UserMinAdd[UserIndex]){
		strcat(Text,"\w^n^n9. Back",512);
		keys+=256;
	}
	strcat(Text,"\r^n^n0. Cancel",512);
	keys+=512;
	menu(UserName,Text,keys);
}

public HandleSay(HLCommand,HLData,HLUserName,UserIndex){
	new Data[MAX_DATA_LENGTH];
	new UserName[MAX_NAME_LENGTH];
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,UserName,MAX_DATA_LENGTH);
	strstripquotes(Data);
	if(g_UserMessageMode[UserIndex]==1){
		handle_data(Data,UserName,UserIndex);
		return PLUGIN_HANDLED;
	}
	if(strcmp(Data,"am_menu")==0 && access(ACCESS_MAP)){
		main_menu(UserName,UserIndex);
		return PLUGIN_HANDLED;
	}
	return PLUGIN_CONTINUE;
}

/*BULDING USERCOMMAND-DATA WITH MESSAGEMODE-DATA*/
handle_data(Data[],UserName[],UserIndex){
	if(strlen(g_UserData[UserIndex])==0){
		snprintf(g_UserData[UserIndex],MAX_DATA_LENGTH,"%s",Data);
	}else{
		snprintf(g_UserData[UserIndex],MAX_DATA_LENGTH,"%s %s",g_UserData[UserIndex],Data);
	}
	messagemode_menu(UserName,UserIndex);	
}

messagemode_menu(UserName[],UserIndex){
	new Text[512];
	new keys;
	if(g_UserLastMenu[UserIndex]==STOREMENU){
		keys=527;
		snprintf(Text,MAX_TEXT_LENGTH,"\w[ADMIN MENU]^n\yCommand: \w%s^n\yParameter:^n\w%s^n^n\yEnter parameter in chat!^n^n\w1. Execute\n2. Truncate last token^n3. Save Cmd^n4. Delete Cmd^n^n\r0. Cancel",g_UserCommand[UserIndex],g_UserData[UserIndex]);
	}else{
		keys=519;
		snprintf(Text,MAX_TEXT_LENGTH,"\w[ADMIN MENU]^n\yCommand: \w%s^n\yParameter:^n\w%s^n^n\yEnter parameter in chat!^n^n\w1. Execute\n2. Truncate last token^n3. Save Cmd^n^n\r0. Cancel",g_UserCommand[UserIndex],g_UserData[UserIndex]);
	}
		
	g_UserMessageMode[UserIndex]=1;
	g_UserMenu[UserIndex]=EXECUTEMENU;
	menu(UserName,Text,keys);
}

public menuselect(HLCommand,HLData,HLUserName,UserIndex){
	new Data[MAX_DATA_LENGTH];
	new UserName[MAX_NAME_LENGTH];
	new dummy[10];
	new iSelect;
  	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
	if(g_UserMenu[UserIndex]!=0){
		iSelect=strtonum(Data);
/*NEXT*/	if(iSelect==8){ 	
			g_UserSelect[UserIndex]=g_UserSelect[UserIndex]+ITEMS_PER_PAGE;
			second_menu(UserName,UserIndex);
/*BACK*/	}else if(iSelect==9){ 	
			g_UserSelect[UserIndex]=g_UserSelect[UserIndex]-ITEMS_PER_PAGE;
			second_menu(UserName,UserIndex);
/*CANCEL*/	}else if(iSelect==10){ 
			if(g_UserMenu[UserIndex]==MAINMENU){
				reset_array(UserIndex);
			}else if(MAINMENU < g_UserMenu[UserIndex] < PLAYERSELECT){
				reset_array(UserIndex);
				main_menu(UserName,UserIndex);
			}else if(PLAYERSELECT <= g_UserMenu[UserIndex] < EXECUTEMENU){
				g_UserMenu[UserIndex]=g_UserLastMenu[UserIndex];
				g_UserSelect[UserIndex]=g_UserLastSelect[UserIndex];
				strinit(g_UserCommand[UserIndex]);
				second_menu(UserName,UserIndex);
			}else if(g_UserMenu[UserIndex]==EXECUTEMENU){
				g_UserMessageMode[UserIndex]=0;
				strinit(g_UserData[UserIndex]);
				if(g_UserLLastMenu[UserIndex]!=0){
					g_UserMenu[UserIndex]=g_UserLLastMenu[UserIndex];
					g_UserSelect[UserIndex]=g_UserLLastSelect[UserIndex];
				}else{
					g_UserMenu[UserIndex]=g_UserLastMenu[UserIndex];
					g_UserSelect[UserIndex]=g_UserLastSelect[UserIndex];
				}
				second_menu(UserName,UserIndex);			
			}			
							
/*SELECT*/	}else{	
			if(g_UserMenu[UserIndex]==MAINMENU){
				iSelect+=1;
				switch(iSelect){
					case PLAYERMENU:{
						g_UserMenu[UserIndex]=PLAYERMENU;
						g_UserSelect[UserIndex]=g_PLAYER_CMDS;
						second_menu(UserName,UserIndex);
					}
					case MAPMENU: {
						g_UserMenu[UserIndex]=MAPMENU;
						g_UserSelect[UserIndex]=g_MAP_CMDS;	
						second_menu(UserName,UserIndex);
					}
					case SERVERMENU:{
						g_UserMenu[UserIndex]=SERVERMENU;
						g_UserSelect[UserIndex]=g_SERVER_CMDS;
						second_menu(UserName,UserIndex);
					}
					case VOTEMENU: {
						g_UserMenu[UserIndex]=VOTEMENU;
						g_UserSelect[UserIndex]=g_VOTE_CMDS;
						second_menu(UserName,UserIndex);
					}
					case OTHERMENU: {
						g_UserMenu[UserIndex]=OTHERMENU;
						g_UserSelect[UserIndex]=g_OTHER_CMDS;
						second_menu(UserName,UserIndex);
					}
					case STOREMENU:{
						g_UserMenu[UserIndex]=STOREMENU;
						g_UserSelect[UserIndex]=g_STORED_CMDS;
						second_menu(UserName,UserIndex);
					}	
				}
				
			}else{
				if(MAINMENU < g_UserMenu[UserIndex] < PLAYERSELECT){					
					g_UserLastMenu[UserIndex]=g_UserMenu[UserIndex];
					g_UserLastSelect[UserIndex]=g_UserSelect[UserIndex];
					getproperty(.value = g_UserSelect[UserIndex]+iSelect-1, .string = g_UserCommand[UserIndex]);
					strsplit(g_UserCommand[UserIndex],":",g_UserCommand[UserIndex],MAX_COMMAND_LENGTH,dummy,10);
										
					if(g_UserMenu[UserIndex] == PLAYERMENU){
						g_UserMenu[UserIndex]=PLAYERSELECT;
						g_UserSelect[UserIndex]=1;
						second_menu(UserName,UserIndex);
					}else if(g_UserMenu[UserIndex] == MAPMENU){
						g_UserMenu[UserIndex]=MAPSELECT;
						g_UserSelect[UserIndex]=g_MAPS;
						second_menu(UserName,UserIndex);
					}else if(g_UserMenu[UserIndex]==STOREMENU){
						strinit(g_UserCommand[UserIndex]);
						getproperty(.value = g_UserSelect[UserIndex]+iSelect-1, .string = Data);
						strsep(Data,":",g_UserCommand[UserIndex],MAX_COMMAND_LENGTH,g_UserData[UserIndex],MAX_DATA_LENGTH);
						messagemode_menu(UserName,UserIndex);
					}else{
						messagemode_menu(UserName,UserIndex);
					}
				}else if(PLAYERSELECT <= g_UserMenu[UserIndex] < EXECUTEMENU){
					g_UserLLastMenu[UserIndex]=g_UserMenu[UserIndex];
					g_UserLLastSelect[UserIndex]=g_UserSelect[UserIndex];
					if(g_UserMenu[UserIndex]==PLAYERSELECT){
						playerinfo(g_UserSelect[UserIndex]+iSelect-1,g_UserData[UserIndex],MAX_NAME_LENGTH);
						snprintf(g_UserData[UserIndex],MAX_DATA_LENGTH,"^"%s^"",g_UserData[UserIndex]);
					}else if(g_UserMenu[UserIndex]==MAPSELECT){
						getproperty(.value = g_UserSelect[UserIndex]+iSelect-1, .string = g_UserData[UserIndex]);
					}
					messagemode_menu(UserName,UserIndex);
				}else if(g_UserMenu[UserIndex] == EXECUTEMENU){
					if(iSelect==1){
						exec_command(UserName,UserIndex);
					}else if(iSelect==2){
						remove_last_param(UserName,UserIndex);
					}else if(iSelect==3){
						store_cmd(UserName,UserIndex);
					}else if(iSelect==4){
						del_cmd(UserName,UserIndex);
					}
				}
			}
		}
	}
	return PLUGIN_CONTINUE;
}


exec_command(UserName[],UserIndex){
	new Text[MAX_TEXT_LENGTH];
	
	if(g_UserLastMenu[UserIndex]!=OTHERMENU){
		plugin_exec(g_UserCommand[UserIndex],g_UserData[UserIndex]);
	}else{
		setstrvar(g_UserCommand[UserIndex],g_UserData[UserIndex]);
	}
	snprintf(Text,MAX_TEXT_LENGTH,"[ADMIN MENU] %s: %s %s executed!",UserName,g_UserCommand[UserIndex],g_UserData[UserIndex]);
	messageex(UserName,Text,print_chat);
	log(Text);
	reset_array(UserIndex);
}

remove_last_param(UserName[],UserIndex){
	new currentChar = -1; 
	new lastSpace = 0; 
	new bInQuotes = 0; 
	
	while(g_UserData[UserIndex][++currentChar]) { 
		if(g_UserData[UserIndex][currentChar] == '"') { 
			bInQuotes = !bInQuotes; 
		} else if(!bInQuotes && g_UserData[UserIndex][currentChar] == ' ') { 
			lastSpace = currentChar; 
		} 
	}
	g_UserData[UserIndex][lastSpace] = '^0';
	messagemode_menu(UserName,UserIndex);	
}

store_cmd(UserName[],UserIndex){
	new File[MAX_DATA_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new AuthID[MAX_DATA_LENGTH];
	get_userAuthID(UserName,AuthID,MAX_AUTHID_LENGTH);
	snprintf(File,MAX_DATA_LENGTH,"%s%s.cfg",g_StoredCommandFile,AuthID);
	strsubst(File, ":", "-",MAX_TEXT_LENGTH);
	snprintf(Data,MAX_DATA_LENGTH,"%s:%s",g_UserCommand[UserIndex],g_UserData[UserIndex]);
	writefile(File,Data,-1);
	snprintf(Data,MAX_DATA_LENGTH,"[ADMIN MENU] %s: %s %s saved!",UserName,g_UserCommand[UserIndex],g_UserData[UserIndex]);
	messageex(UserName,Data,print_chat);
	messagemode_menu(UserName,UserIndex);
}

del_cmd(UserName[],UserIndex){
	new File[MAX_DATA_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new sSearch[MAX_DATA_LENGTH];
	new AuthID[MAX_DATA_LENGTH];
	new iFileSize;
	new i;
	get_userAuthID(UserName,AuthID,MAX_AUTHID_LENGTH);
	snprintf(File,MAX_DATA_LENGTH,"%s%s.cfg",g_StoredCommandFile,AuthID);
	strsubst(File, ":", "-",MAX_TEXT_LENGTH);
	iFileSize=filesize(File);
	snprintf(sSearch,MAX_DATA_LENGTH,"%s:%s",g_UserCommand[UserIndex],g_UserData[UserIndex]);
	for(i=1;i<=iFileSize;i++){
		readfile(File,Data,i,MAX_DATA_LENGTH);
		if(strcmp(Data,sSearch)!=0){
			writefile(g_tempStoredCommandFile,Data,-1);
		}
	}
	resetfile(File);
	iFileSize=filesize(g_tempStoredCommandFile);
	for(i=1;i<=iFileSize;i++){
		readfile(g_tempStoredCommandFile,Data,i,MAX_DATA_LENGTH);
		writefile(File,Data,-1);
	}
	deletefile(g_tempStoredCommandFile);
	
	snprintf(Data,MAX_DATA_LENGTH,"[ADMIN MENU] %s: %s %s deleted!",UserName,g_UserCommand[UserIndex],g_UserData[UserIndex]);
	messageex(UserName,Data,print_chat);
	g_UserMessageMode[UserIndex]=0;
	g_UserMenu[UserIndex]=STOREMENU;
	second_menu(UserName,UserIndex);
}

reset_array(UserIndex){
	g_UserMenu[UserIndex]=0;
	g_UserLastMenu[UserIndex]=0;
	g_UserLLastMenu[UserIndex]=0;
	g_UserLastSelect[UserIndex]=0;
	g_UserLLastSelect[UserIndex]=0;
	g_UserMessageMode[UserIndex]=0;
	g_UserSelect[UserIndex]=0;
	strinit(g_UserCommand[UserIndex]);
	strinit(g_UserData[UserIndex]);
}